from django.contrib import admin
from .models import Blog

# Register your models here.

class BlogAdmin(admin.ModelAdmin):
    list_display = ['title','author','content','create_time']
    # author字段是关系表,必须用两条下划线指定对应属性
    search_fields = ['title','content','author__username']

    readonly_fields = ['author','create_time']

    # 保存模型时执行的操作
    def save_model(self, request, obj, form, change):
        if not change:
            # 只有创建时指定作者
            obj.author = request.user
        super(BlogAdmin, self).save_model(request,obj,form,change)


admin.site.register(Blog,BlogAdmin)
