from django.views.generic.detail import BaseDetailView
from django.http import HttpResponse
from blog.models import Blog


class BlogDetailView(BaseDetailView):
    model = Blog

    def render_to_response(self,context):
        blog = context['object']
        data = {
            'blog': {
                'id': blog.id,
                'title': blog.title,
                'content': blog.content,
                'author': {
                    'id': blog.author.id,
                    'username': blog.author.username,
                }
            }
        }

        return HttpResponse(data.values())

